Package org.kapott.hbci.sepa.jaxb.pain_001_001_11

## Class StructuredRegulatoryReporting3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_001_11.StructuredRegulatoryReporting3

    public class StructuredRegulatoryReporting3
    extends java.lang.Object

Java class for StructuredRegulatoryReporting3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StructuredRegulatoryReporting3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}Max35Text" minOccurs="0"/>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}ISODate" minOccurs="0"/>
             <element name="Ctry" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}CountryCode" minOccurs="0"/>
             <element name="Cd" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}Max10Text" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="Inf" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}Max35Text" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ActiveOrHistoricCurrencyAndAmount` `amt`
`protected java.lang.String` `cd`
`protected java.lang.String` `ctry`
`protected javax.xml.datatype.XMLGregorianCalendar` `dt`
`protected java.util.List<java.lang.String>` `inf`
`protected java.lang.String` `tp`

### Constructor Summary

Constructors
`StructuredRegulatoryReporting3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActiveOrHistoricCurrencyAndAmount` `getAmt()` Gets the value of the amt property.
`java.lang.String` `getCd()` Gets the value of the cd property.
`java.lang.String` `getCtry()` Gets the value of the ctry property.
`javax.xml.datatype.XMLGregorianCalendar` `getDt()` Gets the value of the dt property.
`java.util.List<java.lang.String>` `getInf()` Gets the value of the inf property.
`java.lang.String` `getTp()` Gets the value of the tp property.
`void` `setAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the amt property.
`void` `setCd​(java.lang.String value)` Sets the value of the cd property.
`void` `setCtry​(java.lang.String value)` Sets the value of the ctry property.
`void` `setDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the dt property.
`void` `setTp​(java.lang.String value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tp

    protected java.lang.String tp

#### dt

    protected javax.xml.datatype.XMLGregorianCalendar dt

#### ctry

    protected java.lang.String ctry

#### cd

    protected java.lang.String cd

#### amt

    protected ActiveOrHistoricCurrencyAndAmount amt

#### inf

    protected java.util.List<java.lang.String> inf

### Constructor Detail

#### StructuredRegulatoryReporting3

    public StructuredRegulatoryReporting3()

### Method Detail

#### getTp

    public java.lang.String getTp()

Gets the value of the tp property.

Returns:
  possible object is `String`

#### setTp

    public void setTp​(java.lang.String value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `String`

#### getDt

    public javax.xml.datatype.XMLGregorianCalendar getDt()

Gets the value of the dt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setDt

    public void setDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the dt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getCtry

    public java.lang.String getCtry()

Gets the value of the ctry property.

Returns:
  possible object is `String`

#### setCtry

    public void setCtry​(java.lang.String value)

Sets the value of the ctry property.

Parameters:
  `value` - allowed object is `String`

#### getCd

    public java.lang.String getCd()

Gets the value of the cd property.

Returns:
  possible object is `String`

#### setCd

    public void setCd​(java.lang.String value)

Sets the value of the cd property.

Parameters:
  `value` - allowed object is `String`

#### getAmt

    public ActiveOrHistoricCurrencyAndAmount getAmt()

Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setAmt

    public void setAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getInf

    public java.util.List<java.lang.String> getInf()

Gets the value of the inf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the inf property.

For example, to add a new item, do as follows:

        getInf().add(newItem);

Objects of the following type(s) are allowed in the list `String`